Summary: Reminds you take wrist breaks

Name: xwrits
Version: 2.24
Release: 6%{?dist}
Source: http://www.lcdf.org/xwrits/xwrits-%{version}.tar.gz
Source2: xwrits.png
Source3: xwrits.desktop

URL: http://www.lcdf.org/xwrits/

Group: Applications/Productivity
License: GPLv2
BuildRequires: desktop-file-utils
BuildRequires: libXt-devel
BuildRequires: libXext-devel
BuildRequires: libXinerama-devel

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Xwrits reminds you to take wrist breaks, which
should help you prevent or manage a repetitive
stress injury. It pops up an X window when you
should rest; you click on that window, then take a
break.

Xwrits's graphics are brightly colored pictures of
a wrist and the attached hand. The wrist clenches
and stretches ``as if in pain'' when you should
rest, slumps relaxed during the break, and points
forward valiantly when the break is over. It is
trapped behind bars while the keyboard is locked.
Other gestures are included.

Extensive command line options let you control how
often xwrits appears. It can escalate its behavior
over time -- by putting up more flashing windows
or actually locking you out of the keyboard, for
example -- which makes it harder to cheat.

%prep
%setup -q

%build
CFLAGS="${RPM_OPT_FLAGS}" ./configure --prefix=${RPM_BUILD_ROOT}%{_prefix} --libdir=${RPM_BUILD_ROOT}%{_libdir} --mandir=${RPM_BUILD_ROOT}%{_mandir}
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
make install
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/applications
cp %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps
desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --add-category X-Fedora                                 \
        %{SOURCE3}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%doc NEWS README GESTURES TODO
%{_bindir}/xwrits
%{_mandir}/man1/*
%{_datadir}/pixmaps/xwrits.png
%{_datadir}/applications/fedora-xwrits.desktop

%changelog
* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.24-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.24-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Aug 11 2008 Jason L Tibbitts III <tibbs@math.uh.edu> - 2.24-4
- Fix license tag.

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.24-3
- Autorebuild for GCC 4.3

* Tue Sep 12 2006 Jeff Layton <jlayton@redhat.com> 2.24-2
- rebuild for FC6

* Sun Jul 16 2006 Jeff Layton <jlayton@redhat.com> 2.24-1
- new upstream rev

* Thu Jun 29 2006 Jeff Layton <jlayton@redhat.com> 2.23-1
- new upstream rev
- fix problems with mwm_hints data sizes on x86_64 [BZ 197168]

* Fri Jun 23 2006 Jeff Layton <jlayton@redhat.com> 2.22-3
- spec changes per rpmlint and Kevin Fenzi's recommendations

* Sun Jun 11 2006 Jeff Layton <jlayton@redhat.com> 2.22-2
- bump release number

* Sun May 28 2006 Jeff Layton <jlayton@redhat.com> 2.22-1
- first packaging for Fedora Extras

